dbXML API

## org.dbxml.core.corba.db
Interface CollectionManagerOperations

All Superinterfaces:
  ServantManagementOperations

All Known Subinterfaces:
  CollectionManager

All Known Implementing Classes:
  CollectionManagerPOA

public interface CollectionManagerOperations
extends ServantManagementOperations

Generated from IDL definition of interface "CollectionManager"

Author:
  JacORB IDL compiler

Method Summary
`Collection` `createCollection(java.lang.String path, EncodedBuffer config)`
`void` `createIndexer(EncodedBuffer config)`
`void` `createXMLObject(EncodedBuffer config)`
`void` `dropCollection(java.lang.String path)`
`void` `dropIndexer(java.lang.String nam)`
`void` `dropXMLObject(java.lang.String nam)`
`java.lang.String` `getCanonicalName()`
`java.lang.String` `getName()`
`java.lang.String[]` `listIndexers()`
`java.lang.String[]` `listXMLObjects()`

Methods inherited from interface org.dbxml.core.corba.db.ServantManagementOperations
`remove`

Method Detail

### getName

    public java.lang.String getName()
                             throws APIException

### getCanonicalName

    public java.lang.String getCanonicalName()
                                      throws APIException

### createCollection

    public Collection createCollection(java.lang.String path,
                                       EncodedBuffer config)
                                throws APIException

### dropCollection

    public void dropCollection(java.lang.String path)
                        throws APIException

### listIndexers

    public java.lang.String[] listIndexers()
                                    throws APIException

### createIndexer

    public void createIndexer(EncodedBuffer config)
                       throws APIException

### dropIndexer

    public void dropIndexer(java.lang.String nam)
                     throws APIException

### listXMLObjects

    public java.lang.String[] listXMLObjects()
                                      throws APIException

### createXMLObject

    public void createXMLObject(EncodedBuffer config)
                         throws APIException

### dropXMLObject

    public void dropXMLObject(java.lang.String nam)
                       throws APIException

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved